name: PR labeler

on:
  pull_request:
    branches: [main]
    types: [opened, synchronize, reopened]
    paths:
      - "documentation/**"
      - "deploy/**"
      - ".github/**"
      - "services/**"
      - "docs/**"
      - "src/**"

permissions:
  contents: read
  pull-requests: write

jobs:
  label:
    runs-on: [self-hosted, Linux, X64]
    steps:
      - uses: actions/labeler@v6
        with:
          sync-labels: false
